︠68434816-9603-490f-896b-79d7a0299561︠
# parametrize the Hadamard square root of rank five



# 1)

#[
# [1,  0,  0,  0,  0,    1,   0],
# [1,  0,  0,  0,  0,    0,  y1],
# [0,  1,  0,  1,  0,    1,   0],
# [0,  1,  0,  1,  0,    0,   1],
# [0,  1,  0,  0,  1,    1,   0],
# [0,  1,  0,  0,  1,    0,   1],
# [0,  0,  1,  1,  0,   y2,   0],
# [0,  0,  1,  1,  0,    0,  y2],
# [0,  0,  1,  0,  1,   y2,   0],
# [0,  0,  1,  0,  1,    0,  y2]]


# 2)

#[
# [1,  0,  0,  0,  0,    1,   0],
# [1,  0,  0,  0,  0,    0,  y1],
# [0,  1,  0,  1,  0,    1,   0],
# [0,  1,  0, y2,  0,    0,   1],
# [0,  1,  0,  0,  1,    1,   0],
# [0,  1,  0,  0, y2,    0,   1],
# [0,  0,  1,  1,  0,    1,   0],
# [0,  0,  1, y2,  0,    0,   1],
# [0,  0,  1,  0,  1,    1,   0],
# [0,  0,  1,  0, y2,    0,   1]]


# 1)

R.<y1,y2>=QQ[];

M = matrix(R,[
 [1,  0,  0,  0,  0,    1,   0],
 [1,  0,  0,  0,  0,    0,  y1],
 [0,  1,  0,  1,  0,    1,   0],
 [0,  1,  0,  1,  0,    0,   1],
 [0,  1,  0,  0,  1,    1,   0],
 [0,  1,  0,  0,  1,    0,   1],
 [0,  0,  1,  1,  0,   y2,   0],
 [0,  0,  1,  1,  0,    0,  y2],
 [0,  0,  1,  0,  1,   y2,   0],
 [0,  0,  1,  0,  1,    0,  y2]]); M

J=ideal(M.minors(6));
JJ=ideal(y1*y2)
KK=J.saturation(JJ)
KK
︡76d642dd-f991-4f52-a41d-27625fe8523d︡{"stdout":"[ 1  0  0  0  0  1  0]\n[ 1  0  0  0  0  0 y1]\n[ 0  1  0  1  0  1  0]\n[ 0  1  0  1  0  0  1]\n[ 0  1  0  0  1  1  0]\n[ 0  1  0  0  1  0  1]\n[ 0  0  1  1  0 y2  0]\n[ 0  0  1  1  0  0 y2]\n[ 0  0  1  0  1 y2  0]\n[ 0  0  1  0  1  0 y2]\n"}︡{"stdout":"(Ideal (y1 - 1) of Multivariate Polynomial Ring in y1, y2 over Rational Field, 0)\n"}︡
︠c8d03c46-425b-4aeb-ba91-fe337c52b8d8︠
# 1)

# results

M = matrix(R,[
 [1,  0,  0,  0,  0,    1,   0],
 [1,  0,  0,  0,  0,    0,   1],
 [0,  1,  0,  1,  0,    1,   0],
 [0,  1,  0,  1,  0,    0,   1],
 [0,  1,  0,  0,  1,    1,   0],
 [0,  1,  0,  0,  1,    0,   1],
 [0,  0,  1,  1,  0,   y2,   0],
 [0,  0,  1,  1,  0,    0,  y2],
 [0,  0,  1,  0,  1,   y2,   0],
 [0,  0,  1,  0,  1,    0,  y2]]); M
︡89d27f1d-8cfc-49a4-877b-387791e535ec︡{"stdout":"[ 1  0  0  0  0  1  0]\n[ 1  0  0  0  0  0  1]\n[ 0  1  0  1  0  1  0]\n[ 0  1  0  1  0  0  1]\n[ 0  1  0  0  1  1  0]\n[ 0  1  0  0  1  0  1]\n[ 0  0  1  1  0 y2  0]\n[ 0  0  1  1  0  0 y2]\n[ 0  0  1  0  1 y2  0]\n[ 0  0  1  0  1  0 y2]\n"}︡
︠b043bdf1-89ae-4e2b-897c-206127edc695︠

# 2)

R.<y1,y2>=QQ[];

M = matrix(R,[
 [1,  0,  0,  0,  0,    1,   0],
 [1,  0,  0,  0,  0,    0,  y1],
 [0,  1,  0,  1,  0,    1,   0],
 [0,  1,  0, y2,  0,    0,   1],
 [0,  1,  0,  0,  1,    1,   0],
 [0,  1,  0,  0, y2,    0,   1],
 [0,  0,  1,  1,  0,    1,   0],
 [0,  0,  1, y2,  0,    0,   1],
 [0,  0,  1,  0,  1,    1,   0],
 [0,  0,  1,  0, y2,    0,   1]]); M

J=ideal(M.minors(6));
JJ=ideal(y1*y2)
KK=J.saturation(JJ)
KK
︡5585e5e9-9465-4130-b148-5c1bfd00a0a1︡{"stdout":"[ 1  0  0  0  0  1  0]\n[ 1  0  0  0  0  0 y1]\n[ 0  1  0  1  0  1  0]\n[ 0  1  0 y2  0  0  1]\n[ 0  1  0  0  1  1  0]\n[ 0  1  0  0 y2  0  1]\n[ 0  0  1  1  0  1  0]\n[ 0  0  1 y2  0  0  1]\n[ 0  0  1  0  1  1  0]\n[ 0  0  1  0 y2  0  1]\n"}︡{"stdout":"(Ideal (y2 - 1, y1 - 1) of Multivariate Polynomial Ring in y1, y2 over Rational Field, 0)\n"}︡
︠5ecc80b9-8fe4-4c97-ace5-c00b8fbb5a03︠
# thus the results in the case 2) are included in the case 1)









