︠a2211e7e-9ba2-4bf0-920e-f483b8ec1c5a︠
# parametrize the Hadamard square root of rank five

#1)

#[
# [0, 1, 0, 1, 0, 1, 0],
# [0, 1, 0, 1, 0, 0, 1],
# [0, 1, 0, 0, 1,y1, 0],
# [0, 1, 0, 0, 1, 0,y1],
# [0, 0, 1, 1, 0, 1, 0],
# [0, 0, 1, 1, 0, 0, 1],
# [0, 0, 1, 0, 1,y1, 0],
# [0, 0, 1, 0, 1, 0,y1],
# [1, 0, 0, 1, 0,y2, 0],
# [1, 0, 0,y3, 0, 0,y4],
# [1, 0, 0, 0,y5,y6, 0],
# [1, 0, 0, 0,y7, 0,y8]]

#2)

#[
# [0, 1, 0, 1, 0, 1, 0],
# [0, 1, 0, 1, 0, 0, 1],
# [0, 1, 0, 0, 1, 1, 0],
# [0, 1, 0, 0, 1, 0, 1],
# [0, 0, 1, 1, 0,y1, 0],
# [0, 0, 1, 1, 0, 0,y1],
# [0, 0, 1, 0, 1,y1, 0],
# [0, 0, 1, 0, 1, 0,y1],
# [1, 0, 0, 1, 0,y2, 0],
# [1, 0, 0,y3, 0, 0,y4],
# [1, 0, 0, 0,y5,y6, 0],
# [1, 0, 0, 0,y7, 0,y8]]


# 1)

R.<y1,y2,y3,y4,y5,y6,y7,y8>=QQ[];

M = matrix(R,[
[0, 1, 0, 1, 0, 1, 0],
[0, 1, 0, 1, 0, 0, 1],
[0, 1, 0, 0, 1,y1, 0],
[0, 1, 0, 0, 1, 0,y1],
[0, 0, 1, 1, 0, 1, 0],
[0, 0, 1, 1, 0, 0, 1],
[0, 0, 1, 0, 1,y1, 0],
[0, 0, 1, 0, 1, 0,y1],
[1, 0, 0, 1, 0,y2, 0],
[1, 0, 0,y3, 0, 0,y4],
[1, 0, 0, 0,y5,y6, 0],
[1, 0, 0, 0,y7, 0,y8]]); M
J=ideal(M.minors(6));
JJ=ideal(y1*y2*y3*y4*y5*y6*y7*y8)
KK=J.saturation(JJ)
KK
︡71bc4ca5-84de-4aea-8e5a-f4dcd3fb1240︡{"stdout":"[ 0  1  0  1  0  1  0]\n[ 0  1  0  1  0  0  1]\n[ 0  1  0  0  1 y1  0]\n[ 0  1  0  0  1  0 y1]\n[ 0  0  1  1  0  1  0]\n[ 0  0  1  1  0  0  1]\n[ 0  0  1  0  1 y1  0]\n[ 0  0  1  0  1  0 y1]\n[ 1  0  0  1  0 y2  0]\n[ 1  0  0 y3  0  0 y4]\n[ 1  0  0  0 y5 y6  0]\n[ 1  0  0  0 y7  0 y8]\n"}︡{"stdout":"(Ideal (y7 - 1, y6 - y8, y5 - 1, y3 - 1, y2 - y4, y1 + y4 - y8 - 1) of Multivariate Polynomial Ring in y1, y2, y3, y4, y5, y6, y7, y8 over Rational Field, 0)\n"}︡
︠5fe8d078-8939-4082-8a42-1e487952db60︠
# 1)

# y7 - 1, y6 - y8, y5 - 1, y3 - 1, y2 - y4
#  y1 + y4 - y8 - 1 => y8 = y1*y4 = y1*y2

R.<y1,y2>=QQ[];

M = matrix(R,[
[0, 1, 0, 1, 0,    1,    0],
[0, 1, 0, 1, 0,    0,    1],
[0, 1, 0, 0, 1,   y1,    0],
[0, 1, 0, 0, 1,    0,   y1],
[0, 0, 1, 1, 0,    1,    0],
[0, 0, 1, 1, 0,    0,    1],
[0, 0, 1, 0, 1,   y1,    0],
[0, 0, 1, 0, 1,    0,   y1],
[1, 0, 0, 1, 0,   y2,    0],
[1, 0, 0, 1, 0,    0,   y2],
[1, 0, 0, 0, 1,y1*y2,    0],
[1, 0, 0, 0, 1,    0,y1*y2]]); M
J=ideal(M.minors(6));
JJ=ideal(y1*y2)
KK=J.saturation(JJ)
KK
︡48c03287-ba62-4122-9bfd-2925ca0867ff︡{"stdout":"[    0     1     0     1     0     1     0]\n[    0     1     0     1     0     0     1]\n[    0     1     0     0     1    y1     0]\n[    0     1     0     0     1     0    y1]\n[    0     0     1     1     0     1     0]\n[    0     0     1     1     0     0     1]\n[    0     0     1     0     1    y1     0]\n[    0     0     1     0     1     0    y1]\n[    1     0     0     1     0    y2     0]\n[    1     0     0     1     0     0    y2]\n[    1     0     0     0     1 y1*y2     0]\n[    1     0     0     0     1     0 y1*y2]\n"}︡{"stdout":"(Ideal (y1*y2 - y1 - y2 + 1) of Multivariate Polynomial Ring in y1, y2 over Rational Field, 0)\n"}︡
︠dd8ccb56-fb71-4b43-b527-4dae79c41a6d︠
# 1)

#  y1*y2 - y1 - y2 + 1

# results 

# for y1 = 1 the slack matrix has the form

M = matrix(R,[
[0, 1, 0, 1, 0,    1,    0],
[0, 1, 0, 1, 0,    0,    1],
[0, 1, 0, 0, 1,    1,    0],
[0, 1, 0, 0, 1,    0,    1],
[0, 0, 1, 1, 0,    1,    0],
[0, 0, 1, 1, 0,    0,    1],
[0, 0, 1, 0, 1,    1,    0],
[0, 0, 1, 0, 1,    0,    1],
[1, 0, 0, 1, 0,   y2,    0],
[1, 0, 0, 1, 0,    0,   y2],
[1, 0, 0, 0, 1,   y2,    0],
[1, 0, 0, 0, 1,    0,   y2]]);

# for y2 = 1 the slack matrix has the form

M = matrix(R,[
[0, 1, 0, 1, 0,    1,    0],
[0, 1, 0, 1, 0,    0,    1],
[0, 1, 0, 0, 1,   y1,    0],
[0, 1, 0, 0, 1,    0,   y1],
[0, 0, 1, 1, 0,    1,    0],
[0, 0, 1, 1, 0,    0,    1],
[0, 0, 1, 0, 1,   y1,    0],
[0, 0, 1, 0, 1,    0,   y1],
[1, 0, 0, 1, 0,    1,    0],
[1, 0, 0, 1, 0,    0,    1],
[1, 0, 0, 0, 1,   y1,    0],
[1, 0, 0, 0, 1,    0,   y1]]);
︡c1fa87f7-cf03-46ed-95c7-c7a74b22e51c︡
︠709500ff-f03d-482a-ad74-d87dd836e65a︠

# 2)

R.<y1,y2,y3,y4,y5,y6,y7,y8>=QQ[];

M = matrix(R,[
[0, 1, 0, 1, 0, 1, 0],
[0, 1, 0, 1, 0, 0, 1],
[0, 1, 0, 0, 1, 1, 0],
[0, 1, 0, 0, 1, 0, 1],
[0, 0, 1, 1, 0,y1, 0],
[0, 0, 1, 1, 0, 0,y1],
[0, 0, 1, 0, 1,y1, 0],
[0, 0, 1, 0, 1, 0,y1],
[1, 0, 0, 1, 0,y2, 0],
[1, 0, 0,y3, 0, 0,y4],
[1, 0, 0, 0,y5,y6, 0],
[1, 0, 0, 0,y7, 0,y8]]); M
J=ideal(M.minors(6));
JJ=ideal(y1*y2*y3*y4*y5*y6*y7*y8)
KK=J.saturation(JJ)
KK
︡5425b5c6-1221-4293-b50c-4bbce4c0a6ca︡{"stdout":"[ 0  1  0  1  0  1  0]\n[ 0  1  0  1  0  0  1]\n[ 0  1  0  0  1  1  0]\n[ 0  1  0  0  1  0  1]\n[ 0  0  1  1  0 y1  0]\n[ 0  0  1  1  0  0 y1]\n[ 0  0  1  0  1 y1  0]\n[ 0  0  1  0  1  0 y1]\n[ 1  0  0  1  0 y2  0]\n[ 1  0  0 y3  0  0 y4]\n[ 1  0  0  0 y5 y6  0]\n[ 1  0  0  0 y7  0 y8]\n"}︡{"stdout":"(Ideal (y7 - 1, y6 - y8, y5 - 1, y4 - y8, y3 - 1, y2 - y8) of Multivariate Polynomial Ring in y1, y2, y3, y4, y5, y6, y7, y8 over Rational Field, 0)\n"}︡
︠6a7621ba-4e33-4a78-9b6b-0bcad80b73fe︠
# 2)

#  y7 - 1, y6 - y8, y5 - 1, y4 - y8, y3 - 1, y2 - y8

# results 

M = matrix(R,[
[0, 1, 0, 1, 0, 1, 0],
[0, 1, 0, 1, 0, 0, 1],
[0, 1, 0, 0, 1, 1, 0],
[0, 1, 0, 0, 1, 0, 1],
[0, 0, 1, 1, 0,y1, 0],
[0, 0, 1, 1, 0, 0,y1],
[0, 0, 1, 0, 1,y1, 0],
[0, 0, 1, 0, 1, 0,y1],
[1, 0, 0, 1, 0,y2, 0],
[1, 0, 0, 1, 0, 0,y2],
[1, 0, 0, 0, 1,y2, 0],
[1, 0, 0, 0, 1, 0,y2]]);
︡c5f70346-7904-4c44-bcd8-01ea32ad636e︡
︠1b3292a1-b9ba-4f0c-a22b-cda4501e9a23︠









